Skip to main content
`Ctrl`+`K`

# RGView

Prints the `RG` data structure.

## Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGView(RG rg,PetscViewer viewer)

Collective

## Input Parameters

- rg - the region context

- viewer - optional visualization context

## Notes

The available visualization contexts include

- `PETSC_VIEWER_STDOUT_SELF` - standard output (default)

- `PETSC_VIEWER_STDOUT_WORLD` - synchronized standard output where only the first process opens the file; all other processes send their data to the first one to print

The user can open an alternative visualization context with `PetscViewerASCIIOpen()` to output to a specified file.

Use `RGViewFromOptions()` to allow the user to select many different `PetscViewerType` and formats from the options database.

## See Also

RG: Region, `RGCreate()`, `RGViewFromOptions()`

## Level

beginner

## Location

src/sys/classes/rg/interface/rgbasic.c

## Implementations

RGView_Ellipse() in src/sys/classes/rg/impls/ellipse/rgellipse.c
RGView_Interval() in src/sys/classes/rg/impls/interval/rginterval.c
RGView_Polygon() in src/sys/classes/rg/impls/polygon/rgpolygon.c
RGView_Ring() in src/sys/classes/rg/impls/ring/rgring.c

Index of all RG routines Table of Contents for all manual pages Index of all manual pages